dvdisaster Version 0.70 | To the Internet version

Contents
Overview
Examples and screen shots
· | Scanning media for errors
· | Creating error correction data
· | Reading defective media
· | Recovering media images
· | Getting information about images and error correction data
· | Configuration
· | Command syntax
Download
Questions and Answers
Background information
|  | ### Scanning the medium for errors To check your medium for read errors carry out these steps: (Note: Under Windows 2000 and XP either administrator priviledges or an installed ASPI driver are required in order to access the CD/DVD drives.)
1. | Insert the medium into the drive. |
2. | Select the drive. |
3a. | only when error correction files are used (RS01): If a suitable error correction file is available for your medium, enter its file name. Scanning does not necessarily need an error correction file, but it can take advantage of some information from it. | The symbol opens the file chooser.
3b. | only when augmented images are used (RS02): Choose "ECC/RS02" in the settings for getting the image size. |
4. | Click on the "Scan" button to begin the medium check. |
5. | Watch the scanning progress in the graphical representation. |
How frequently should the media be scanned? This depends on your media quality and storage conditions. As a guide line for CD- and DVD media of unknown quality: 3 days after burning (keep the media images on hard disc until this test passes!), 14 days after burning, 3 months after burning, then one more scan after each 6 months. If you're using lots of media from the same production of a high quality manufacturer, it may be sufficient to scan a sample of 2-3 media per month and batch. ### Scanning the medium using the command line Scanning requires the following parameters (defaults are given in parenthesis):
-s / --scan | Scan
-d / --device | Drive selection (/dev/cdrom)
-e / --ecc | only for RS01: Error correction file (medium.ecc)
-j / --jump | Skip sectors after a read error (16)
user@linux> dvdisaster -s -d /dev/hdc -e corrdata.ecc dvdisaster-0.70 Copyright 2004-2006 Carsten Gnoerlich. [... remainder of the GPL announcement ...] Device: /dev/cdrom, ATAPI DVD+RW 8X4X12 B2K7 Medium: DVD+R, 2224288 sectors, 1 layer(s) Scanning medium for read errors. Waiting 5 seconds for drive to spin up... Sector 57664: Medium Error; Unrecovered read error. Skipping 15 sectors. Sector 57728: Medium Error; Unrecovered read error. Skipping 15 sectors. [... more read error reports ...] Sector 716640: Medium Error; Unrecovered read error. Skipping 15 sectors. Read position: 100.0% ( 2.4x) 33840 unreadable sectors.
The reported read errors may be different from "Medium Error; ..." as these depend on the drive's firmware.

Copyright 2004-2006 Carsten Gnörlich. Verbatim copying and distribution of this entire article is permitted in any medium, provided this notice is preserved.